Bug 211347 - CVE-2006-4811 qt integer overflow
CVE-2006-4811 qt integer overflow
Product: Fedora
Classification: Fedora
Component: kdelibs (Show other bugs)
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Ngo Than
Depends On:
  Show dependency treegraph
Reported: 2006-10-18 15:23 EDT by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-22 12:22:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-10-18 15:23:13 EDT
+++ This bug was initially created as a clone of Bug #211342 +++

An interger overflow flaw was found in the way qt handles certain pixmax
requests.  This flaw can lead to arbitrary data being written onto the heap,
possibly resulting in arbitrary code execution withing applications using qt
(such as knoqueror and kmail)

-- Additional comment from rdieter@math.unl.edu on 2006-10-18 15:13 EST --
Isn't this a qt, not a kdelibs, bug?
Comment 1 Rex Dieter 2006-11-22 12:22:53 EST
qt-3.3.7-0.1 update addressed this.

Note You need to log in before you can comment on or make changes to this bug.